org.eclipse.ease

## Class ScriptExecutionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.ease.ScriptExecutionException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  BreakException

    public class ScriptExecutionException
    extends RuntimeException

A common class to be thrown if an error happens during script execution. The individual script engines should convert their internal exceptions into this one, so that we can display nicely formatted and useful error messages if errors happen during script parsing/running.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ScriptExecutionException(String message, int columnNumber, String lineSource, String errorName, List<IScriptDebugFrame> scriptStackTrace, Throwable cause)` Instantiate wrapper exception.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getMessage()`
`void` `printStackTrace(PrintStream s)`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ScriptExecutionException

    public ScriptExecutionException(String message,
                                    int columnNumber,
                                    String lineSource,
                                    String errorName,
                                    List<IScriptDebugFrame> scriptStackTrace,
                                    Throwable cause)

Instantiate wrapper exception.

Parameters:
  `message` - error message
  `lineNumber` - number of the line where the error happened
  `columnNumber` - number of the column where the error happened
  `lineSource` - source code of the line where the error happened
  `errorName` - name/type of the error (exception, syntax error, etc)
  `scriptStackTrace` - script stack trace
  `cause` - root exception

### Method Detail

#### getMessage

    public final String getMessage()

Overrides:
  `getMessage` in class `Throwable`

#### printStackTrace

    public void printStackTrace(PrintStream s)

Overrides:
  `printStackTrace` in class `Throwable`